Bug 221089 - Missing information in alternatives man page
Summary: Missing information in alternatives man page
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: chkconfig   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-01 17:47 UTC by RB
Modified: 2014-03-17 03:04 UTC (History)
1 user (show)

Fixed In Version: 1.3.31-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 04:00:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description RB 2007-01-01 17:47:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
The section of the man page  copied below does not describe the priority flag
needed when running alternatives --install


 ACTIONS
       --install link name path pri [--slave slink sname spath]  [--initscript
       service]...
              Add a group of alternatives to the system.  name is the  generic
              name  for  the master link, link is the name of its symlink, and
              path is the alternative being introduced for  the  master  link.
              sname,  slink  and  spath are the generic name, symlink name and
              alternative for a slave link, and service is  the  name  of  any
              associated  initscript  for the alternative.  NOTE: --initscript
              is a Red Hat  Linux  specific  option.   Zero  or  more  --slave
              options, each followed by three arguments, may be specified.

              If  the  master symlink specified exists already in the alterna-
              tives system’s records, the information supplied will  be  added
              as  a  new  set of alternatives for the group.  Otherwise, a new
              group, set to automatic mode, will be added with  this  informa-
              tion.   If  the  group is in automatic mode, and the newly added
              alternatives’ priority is higher than any other installed alter-
              natives for this group, the symlinks will be updated to point to
              the newly added alternatives.


Version-Release number of selected component (if applicable):
chkconfig  1.3.30 

How reproducible:
Always


Steps to Reproduce:
1.  man alternatives
2.
3.

Actual Results:
Description of priority flag is missing.

Expected Results:
Each argument should be explained in the man page.

Additional info:

Comment 1 Bill Nottingham 2007-01-02 04:00:57 UTC
It's described somewhat in the 'DESCRIPTION' field.

More info added in CVS, will be in 1.3.31-1. Thanks!


Note You need to log in before you can comment on or make changes to this bug.